Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IOpenSSLClientConnectionCreator``

interface documentation

`class IOpenSSLClientConnectionCreator(Interface): (source)`

Known implementations: `twisted.internet._sslverify.ClientTLSOptions`, `twisted.protocols.tls._ContextFactoryToConnectionFactory`

View In Hierarchy

A provider of `IOpenSSLClientConnectionCreator` can create `OpenSSL.SSL.Connection` objects for TLS clients.

See Also
`twisted.internet.ssl`
Note
Creating OpenSSL connection objects is subtle, error-prone, and security-critical. Before implementing this interface yourself, consider using `twisted.internet.ssl.optionsForClientTLS` as your `contextFactory`.

Method | `clientConnectionForTLS` | Create a connection for the given client protocol.

def clientConnectionForTLS(tlsProtocol: `TLSMemoryBIOProtocol`) -> `OpenSSLConnection`: (source)

Create a connection for the given client protocol.

Parameters
tlsProtocol:`TLSMemoryBIOProtocol` | the client protocol making the request.
Returns
`OpenSSLConnection` | an OpenSSL connection object configured appropriately for the given Twisted protocol.